Bug 652406 - Review Request: rubygem-boxgrinder-build-fedora-os-plugin - BoxGrinder files required to build appliances with Fedora OS
Review Request: rubygem-boxgrinder-build-fedora-os-plugin - BoxGrinder files ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On: 652400 652403
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-11 14:40 EST by Marek Goldmann
Modified: 2011-01-25 09:08 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-boxgrinder-build-fedora-os-plugin-0.0.5-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-28 15:55:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bos: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2010-11-11 14:40:48 EST
Spec URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-fedora-os-plugin.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-fedora-os-plugin-0.0.4-2.fc14.src.rpm
Description:

BoxGrinder Build (http://www.jboss.org/boxgrinder) to
Fedora. BoxGrinder is a command line tool for building appliances (virtual
machines) to various platforms (KVM, Xen, VMware, EC2).

This package contains files required to build appliances with Fedora operating system.
Comment 1 Bryan O'Sullivan 2010-11-23 00:29:25 EST
Build fails: package needs a build dependency on rubygem-boxgrinder-build-rpm-based-os-plugin.
Comment 2 Marek Goldmann 2010-11-23 02:37:49 EST
I'll re-submit all files for all BoxGrinder Plugins, because there were changes in Core I need reflect in plugins. Stay tuned, this will happen today.
Comment 3 Marek Goldmann 2010-11-25 03:40:37 EST
This bug blocker: rpm-based-os-plugin is waiting for review, here: http://bugzilla.redhat.com/show_bug.cgi?id=652403
Comment 4 Marek Goldmann 2010-11-25 09:43:46 EST
Updated spec files posted:

Spec URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-fedora-os-plugin.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-fedora-os-plugin-0.0.4-4.fc15.src.rpm

Changelog:

* Wed Nov 24 2010  <mgoldman@redhat.com> - 0.0.4-4
- Added BR: rubygem(rake), BR: rubygem(echoe), BR: rubygem(rspec)

* Tue Nov 23 2010  <mgoldman@redhat.com> - 0.0.4-3
- Cleanup in Requires/BuildRequires
Comment 5 Bryan O'Sullivan 2010-11-27 16:06:15 EST
Thanks, Marek. This now builds and installs cleanly.

One thing: before you do a final build, please change the %description to be a bit longer. "BoxGrinder Build Fedora Operating System Plugin" isn't very descriptive.

-------------------------------------------------------
    This package (rubygem-boxgrinder-build-fedora-os-plugin) is
    APPROVED by bos
-------------------------------------------------------
Comment 6 Marek Goldmann 2010-11-29 05:42:24 EST
I will extend the description, thank you for review!

New Package SCM Request
=======================
Package Name:      rubygem-boxgrinder-build-fedora-os-plugin
Short Description: BoxGrinder files required to build appliances with Fedora OS
Owners:            goldmann
Branches:          f13 f14
Comment 7 Jason Tibbitts 2010-11-29 12:02:29 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2010-12-17 16:44:30 EST
rubygem-boxgrinder-build-fedora-os-plugin-0.0.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-fedora-os-plugin-0.0.5-1.fc14
Comment 9 Fedora Update System 2010-12-17 16:44:36 EST
rubygem-boxgrinder-build-fedora-os-plugin-0.0.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-fedora-os-plugin-0.0.5-1.fc13
Comment 10 Fedora Update System 2010-12-18 17:54:05 EST
rubygem-boxgrinder-build-fedora-os-plugin-0.0.5-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-boxgrinder-build-fedora-os-plugin'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-fedora-os-plugin-0.0.5-1.fc14
Comment 11 Fedora Update System 2010-12-28 15:55:20 EST
rubygem-boxgrinder-build-fedora-os-plugin-0.0.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-12-28 15:56:26 EST
rubygem-boxgrinder-build-fedora-os-plugin-0.0.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Marek Goldmann 2011-01-25 03:03:20 EST
Package Change Request
======================
Package Name: rubygem-boxgrinder-build-fedora-os-plugin
New Branches: el5 el6
Owners: goldmann
Comment 14 Jason Tibbitts 2011-01-25 09:08:48 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.